Package com.smartgwt.client.tools

# Class SerializationSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.SerializationSettings

All Implemented Interfaces:
  `HasHandlers`

public class SerializationSettings extends DataClass
Settings to control `EditContext` serialization.

See Also:
  - `Dashboards & Tools Framework Overview`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerializationSettings()`
  `SerializationSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getIndent()`
  Overrides the default indention setting during serialization.
  `static SerializationSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getOutputComponentsIndividually()`
  Overrides the default component output setting during serialization.
  `Boolean`
  `getServerless()`
  When true specify DataSources in full rather than assuming they can be downloaded from the server.
  `SerializationSettings`
  `setIndent(Boolean indent)`
  Overrides the default indention setting during serialization.
  `SerializationSettings`
  `setOutputComponentsIndividually(Boolean outputComponentsIndividually)`
  Overrides the default component output setting during serialization.
  `SerializationSettings`
  `setServerless(Boolean serverless)`
  When true specify DataSources in full rather than assuming they can be downloaded from the server.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SerializationSettings

    public SerializationSettings()

  - ### SerializationSettings

    public SerializationSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SerializationSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setIndent

    public SerializationSettings setIndent(Boolean indent)
    Overrides the default indention setting during serialization. XML defaults to indented and JSON defaults to non-indented.
    Parameters:
      `indent` - New indent value. Default value is null
    Returns:
      `SerializationSettings` instance, for chaining setter calls

  - ### getIndent

    public Boolean getIndent()
    Overrides the default indention setting during serialization. XML defaults to indented and JSON defaults to non-indented.
    Returns:
      Current indent value. Default value is null

  - ### setOutputComponentsIndividually

    public SerializationSettings setOutputComponentsIndividually(Boolean outputComponentsIndividually)
    Overrides the default component output setting during serialization. By default Canvas and DrawItem components are serialized individually and referenced by their containers.
    Parameters:
      `outputComponentsIndividually` - New outputComponentsIndividually value. Default value is true
    Returns:
      `SerializationSettings` instance, for chaining setter calls

  - ### getOutputComponentsIndividually

    public Boolean getOutputComponentsIndividually()
    Overrides the default component output setting during serialization. By default Canvas and DrawItem components are serialized individually and referenced by their containers.
    Returns:
      Current outputComponentsIndividually value. Default value is true

  - ### setServerless

    public SerializationSettings setServerless(Boolean serverless)
    When true specify DataSources in full rather than assuming they can be downloaded from the server.
    Parameters:
      `serverless` - New serverless value. Default value is null
    Returns:
      `SerializationSettings` instance, for chaining setter calls

  - ### getServerless

    public Boolean getServerless()
    When true specify DataSources in full rather than assuming they can be downloaded from the server.
    Returns:
      Current serverless value. Default value is null